## ros-one-moveit-simple-controller-manager 1.1.16-49jammy.20251023.1435

=== debian/changelog ===
ros-one-moveit-simple-controller-manager (1.1.16-49jammy.20251023.1435) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Oct 2025 14:35:08 +0000

ros-one-moveit-simple-controller-manager (1.1.16-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.15-0jammy) jammy; urgency=high

  * Fix race condition in trajectory execution (#3620 <https://github.com/ros-planning/moveit/issues/3620>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.14-0jammy) jammy; urgency=high

  * Simplify code waiting for ActionBasedController, fix timeout to 5s
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.13-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.12-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.11-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.10-0jammy) jammy; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.9-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.8-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.7-0jammy) jammy; urgency=high

  * ``simple_controller_manager``: add ``max_effort`` parameter to ``GripperCommand`` action (#2984 <https://github.com/ros-planning/moveit/issues/2984>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Rick Staa

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Facilitate spotting of empty controller names, using quotes (#2761 <https://github.com/ros-planning/moveit/issues/2761>)
  * Contributors: G.A. vd. Hoorn, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.5-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.4-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.3-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.2-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.1-0jammy) jammy; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.0-0jammy) jammy; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Allow different controllers for execution #1832 <https://github.com/ros-planning/moveit/issues/1832>)
  * [feature] ControllerManager: wait for done-callback (#1783 <https://github.com/ros-planning/moveit/issues/1783>)
  * [feature] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [fix] add missing space to log (#1477 <https://github.com/ros-planning/moveit/issues/1477>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Jonathan Binney, Leroy Rügemer, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan, llach

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.0.6-0jammy) jammy; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 00:00:00 -0000



## ros-one-moveit-simple-controller-manager 1.1.16-49noble.20251023.1507

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_simple_controller_manager)

find_package(Boost REQUIRED thread)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  pluginlib
  actionlib
  roscpp
  control_msgs
)
moveit_build_options()

include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    actionlib
    control_msgs
    moveit_core
    roscpp
)

add_library(${PROJECT_NAME}
  src/moveit_simple_controller_manager.cpp
  src/follow_joint_trajectory_controller_handle.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(FILES moveit_simple_controller_manager_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
       )
install(DIRECTORY include/${PROJECT_NAME}/
       DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
       )

=== debian/changelog ===
ros-one-moveit-simple-controller-manager (1.1.16-49noble.20251023.1507) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Oct 2025 15:07:55 +0000

ros-one-moveit-simple-controller-manager (1.1.16-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.15-0noble) noble; urgency=high

  * Fix race condition in trajectory execution (#3620 <https://github.com/ros-planning/moveit/issues/3620>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.14-0noble) noble; urgency=high

  * Simplify code waiting for ActionBasedController, fix timeout to 5s
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.13-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.12-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.11-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.10-0noble) noble; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.9-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.8-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.7-0noble) noble; urgency=high

  * ``simple_controller_manager``: add ``max_effort`` parameter to ``GripperCommand`` action (#2984 <https://github.com/ros-planning/moveit/issues/2984>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Rick Staa

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.6-0noble) noble; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Facilitate spotting of empty controller names, using quotes (#2761 <https://github.com/ros-planning/moveit/issues/2761>)
  * Contributors: G.A. vd. Hoorn, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.5-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.4-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.3-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.2-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.1-0noble) noble; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.1.0-0noble) noble; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Allow different controllers for execution #1832 <https://github.com/ros-planning/moveit/issues/1832>)
  * [feature] ControllerManager: wait for done-callback (#1783 <https://github.com/ros-planning/moveit/issues/1783>)
  * [feature] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [fix] add missing space to log (#1477 <https://github.com/ros-planning/moveit/issues/1477>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Jonathan Binney, Leroy Rügemer, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan, llach

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-simple-controller-manager (1.0.6-0noble) noble; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 00:00:00 -0000



=== debian/control ===
Source: ros-one-moveit-simple-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-catkin, ros-one-control-msgs, ros-one-moveit-core, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-simple-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-control-msgs, ros-one-moveit-core, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp
Description: A generic, simple controller manager plugin for MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-simple-controller-manager//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-simple-controller-manager 1.1.16-50jammy.20260128.2140

=== debian/changelog ===
ros-one-moveit-simple-controller-manager (1.1.16-50jammy.20260128.2140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2026 21:40:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-catkin, ros-one-control-msgs, ros-one-moveit-core, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-simple-controller-manager

## ros-one-moveit-simple-controller-manager 1.1.16-50noble.20260128.2149

=== debian/changelog ===
ros-one-moveit-simple-controller-manager (1.1.16-50noble.20260128.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2026 21:49:05 +0000

## ros-one-moveit-simple-controller-manager 1.1.16-51jammy.20260301.2134

=== debian/changelog ===
ros-one-moveit-simple-controller-manager (1.1.16-51jammy.20260301.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 01 Mar 2026 21:34:29 +0000

## ros-one-moveit-simple-controller-manager 1.1.16-51noble.20260301.2130

=== debian/changelog ===
ros-one-moveit-simple-controller-manager (1.1.16-51noble.20260301.2130) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 01 Mar 2026 21:30:20 +0000
